<html>
<head>
<title>TestNG:  EditAccount</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>EditAccount</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>7/0/0</td>
</tr><tr>
<td>Started on:</td><td>Wed Jan 04 16:00:34 IST 2017</td>
</tr>
<tr><td>Total time:</td><td>959 seconds (959310 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.stta.GCM.EditAccount.EditAccountTest()'><b>EditAccountTest</b><br>Test class: com.stta.GCM.EditAccount<br>Parameters: TC_NJ-62_005, CanadIndia  Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , India Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , , , , , , , , , , , , , , , , <br/>
<a href="#Output-1641672672" onClick='toggleBox("Output-1641672672", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1641672672" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1641672672">
Mandetory check Passed for Contact Person NameMissing required field: Please enter Contact Person Name (Latin Character) or Contact Person Name (Local Character)<br/>
Mandetory check Passed for Company NameMissing required field: Company Name<br/>
</div>
</td>
<td></td>
<td>93</td>
<td>com.stta.GCM.EditAccount@5ec0a365</td></tr>
<tr>
<td title='com.stta.GCM.EditAccount.EditAccountTest()'><b>EditAccountTest</b><br>Test class: com.stta.GCM.EditAccount<br>Parameters: TC_NJ-62_006, CanadIndia  Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , India Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , , , , , , , , , Japan, , , , , , , <br/>
<a href="#Output-1413886135" onClick='toggleBox("Output-1413886135", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1413886135" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1413886135">
Specific fields check for Japan country passed<br/>
</div>
</td>
<td></td>
<td>93</td>
<td>com.stta.GCM.EditAccount@5ec0a365</td></tr>
<tr>
<td title='com.stta.GCM.EditAccount.EditAccountTest()'><b>EditAccountTest</b><br>Test class: com.stta.GCM.EditAccount<br>Parameters: TC_NJ-62_007a, CanadIndia  Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , India Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , , , , , , , , , United States, , , , , , , <br/>
<a href="#Output-502891368" onClick='toggleBox("Output-502891368", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-502891368" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-502891368">
Specific fields check for US country passed<br/>
</div>
</td>
<td></td>
<td>95</td>
<td>com.stta.GCM.EditAccount@5ec0a365</td></tr>
<tr>
<td title='com.stta.GCM.EditAccount.EditAccountTest()'><b>EditAccountTest</b><br>Test class: com.stta.GCM.EditAccount<br>Parameters: TC_NJ-62_007b, CanadIndia  Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , India Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, , , , , , , , , , , Canada?, , , , , , , <br/>
<a href="#Output-1660451908" onClick='toggleBox("Output-1660451908", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1660451908" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1660451908">
Specific fields check for Canada country passed<br/>
</div>
</td>
<td></td>
<td>95</td>
<td>com.stta.GCM.EditAccount@5ec0a365</td></tr>
<tr>
<td title='com.stta.GCM.EditAccount.EditAccountTest()'><b>EditAccountTest</b><br>Test class: com.stta.GCM.EditAccount<br>Parameters: TC_NJ-51_003a, Japan Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Contract, D1234567894, Update Japan Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Update Contact Person  Name Local  0123456789012345678901234567890123456789012345678901234567890123456789, Update Division Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Division Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Tittile  Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Tittle  Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, 0123456789012345000000, 0123456, 0123456789012345000000, 0123456789012345000000, updatedummy@gmail.com, Japan, 0123456789, , , Japan Address 1, Japan Address 2, , <br/>
<a href="#Output-1720865719" onClick='toggleBox("Output-1720865719", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1720865719" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1720865719">
*************59<br/>
Contact person Name latin is less  than 60 Characters59<br/>
Contact person Name local is less  than 60 Characters58<br/>
Postal number  is less than 9 Characters9<br/>
Division Latin is less than 100 Characters10<br/>
Division Local is less  than 100 Characters99<br/>
Tittle Latin is less  than 100 Characters99<br/>
Tittle local is less  than 100 Characters98<br/>
Telephone Number is less  than 20 Characters20<br/>
Extension Number is less  than 5 Characters5<br/>
Fax Number is less  than 20 Characters20<br/>
Mobile Number is less  than 20 Characters20<br/>
E-mail address is less  than 140 Characters21<br/>
Updation was successul<br/>
</div>
</td>
<td></td>
<td>178</td>
<td>com.stta.GCM.EditAccount@5ec0a365</td></tr>
<tr>
<td title='com.stta.GCM.EditAccount.EditAccountTest()'><b>EditAccountTest</b><br>Test class: com.stta.GCM.EditAccount<br>Parameters: TC_NJ-51_003b, United State Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Contract, D1234567894, Update United State Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Update Contact Person  Name Local  0123456789012345678901234567890123456789012345678901234567890123456789, Update Division Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Division Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Tittile  Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Tittle  Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, 0123456789012345000000, 0123456, 0123456789012345000000, 0123456789012345000000, updatedummy@gmail.com, United States, 0123456789, Update US address , Update US State , , , , <br/>
<a href="#Output-1895054149" onClick='toggleBox("Output-1895054149", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-1895054149" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-1895054149">
*************59<br/>
Contact person Name latin is less  than 60 Characters59<br/>
Contact person Name local is less  than 60 Characters58<br/>
Postal number  is less than 9 Characters9<br/>
Division Latin is less than 100 Characters10<br/>
Division Local is less  than 100 Characters99<br/>
Tittle Latin is less  than 100 Characters99<br/>
Tittle local is less  than 100 Characters98<br/>
Telephone Number is less  than 20 Characters20<br/>
Extension Number is less  than 5 Characters5<br/>
Fax Number is less  than 20 Characters20<br/>
Mobile Number is less  than 20 Characters20<br/>
E-mail address is less  than 140 Characters21<br/>
United state city is less  than 100 Characters17<br/>
Updation was successul to united states <br/>
</div>
</td>
<td></td>
<td>179</td>
<td>com.stta.GCM.EditAccount@5ec0a365</td></tr>
<tr>
<td title='com.stta.GCM.EditAccount.EditAccountTest()'><b>EditAccountTest</b><br>Test class: com.stta.GCM.EditAccount<br>Parameters: TC_NJ-51_003c, CanadIndia  Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Contract, D1234567894, Update Canada Contact Person  Name Latin 0123456789012345678901234567890123456789012345678901234567890123456789, Update Contact Person  Name Local  0123456789012345678901234567890123456789012345678901234567890123456789, Update Division Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Division Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Tittile  Latin 01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, Update Tittle  Local  01234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789, 0123456789012345000000123456789012345000000, 0123456, 0123456789012345000000, 0123456789012345000000, updatedummy@gmail.com, Canada, 0123456789, Update Canda  address , Update Canada State , , , , <br/>
<a href="#Output-512238546" onClick='toggleBox("Output-512238546", this, "Show output", "Hide output");'>Show output</a>

<a href="#Output-512238546" onClick="toggleAllBoxes();">Show all outputs</a>
<div class='log' id="Output-512238546">
*************59<br/>
Contact person Name latin is less  than 60 Characters59<br/>
Contact person Name local is less  than 60 Characters58<br/>
Postal number  is less than 9 Characters9<br/>
Division Latin is less than 100 Characters10<br/>
Division Local is less  than 100 Characters99<br/>
Tittle Latin is less  than 100 Characters99<br/>
Tittle local is less  than 100 Characters98<br/>
Telephone Number is less  than 20 Characters20<br/>
Extension Number is less  than 5 Characters5<br/>
Fax Number is less  than 20 Characters20<br/>
Mobile Number is less  than 20 Characters20<br/>
E-mail address is less  than 140 Characters21<br/>
Canada city is less  than 100 Characters20<br/>
Updation was successul<br/>
</div>
</td>
<td></td>
<td>181</td>
<td>com.stta.GCM.EditAccount@5ec0a365</td></tr>
</table><p>
</body>
</html>